Name:          webmin
Version:       2.401
Release:       1mamba
Summary:       A web-based interface for system administration for Unix
Group:         Applications/Web
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://webmin.com/
Source:        http://prdownloads.sourceforge.net/webadmin/webmin-%{version}.tar.gz
Source1:       webmin.service
Source2:       webmin-desktop
Source3:       webmin.pam
Source4:       webmin.logrotate
Patch0:        %{name}-1.979-install_noroot.patch
Patch1:        %{name}-1.510-openmamba.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl(ctime.pl)
BuildRequires: perl(timelocal.pl)
BuildRequires: perl-Mon
BuildRequires: perl-devel
BuildRequires: setup
## AUTOBUILDREQ-END
BuildRequires: perl-Net-SSLeay >= 1.25
Requires:      perl(Config)
Requires:      perl(Data::Dumper)
Requires:      perl(DynaLoader)
Requires:      perl(English)
Requires:      perl(Exporter)
Requires:      perl(Fcntl)
Requires:      perl(File::Basename)
Requires:      perl(Getopt::Long)
Requires:      perl(Getopt::Std)
Requires:      perl(IPC::Open2)
Requires:      perl(Mon::Client)
Requires:      perl(POSIX)
Requires:      perl(Socket)
Requires:      perl(Text::Wrap)
Requires:      perl(Time::Local)
Requires:      perl(ctime.pl)
Requires:      perl(strict)
Requires:      perl(timelocal.pl)
Requires:      perl(vars)
Requires:      perl(warnings)
Requires(post):expect
#Requires:      shorewall
#AutoReqProv:   off

%description
Webmin is a web-based interface for system administration for Unix. Using any modern web browser, you can setup user accounts, Apache, DNS, file sharing and much more. Webmin removes the need to manually edit Unix configuration files like /etc/passwd, and lets you manage a system from the console or remotely.

%prep
%setup -q

%global __provides_exclude_from ^%{_datadir}/webmin/.*$
%global __requires_exclude_from ^%{_datadir}/webmin/.*$


# Don't set root permissions during packaging
sed -i "s|uid=0|uid=.*|" setup.sh
sed -i "s|chown|true|" setup.sh
sed -i "s|chgrp|true|" setup.sh
sed -i "s|chmod|true|" setup.sh

#rm acl/Authen-SolarisRBAC-0.1/blib/arch/auto/Authen/SolarisRBAC/SolarisRBAC.so
mkdir tmp

# 1.981: fix symlink pointing to buildroot
sed -i "s|\$config_directory|/etc/webmin|" authentic-theme/postinstall.pl

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -d %{buildroot}{%{_sysconfdir}/webmin,%{_prefix},/var/log/webmin,%{_datadir}/webmin}

export tempdir=%{_builddir}/%{name}-%{version}/tmp

config_dir=%{buildroot}%{_sysconfdir}/webmin \
var_dir=%{buildroot}/var/log/webmin \
perl=%{_bindir}/perl \
port=10000 \
login=admin \
password=tmppass \
ssl=1 \
atboot=0 \
nostart=1 \
noportcheck=1 \
./setup.sh %{buildroot}%{_datadir}/webmin

rm -f %{buildroot}%{_sysconfdir}/webmin/uninstall.sh

# strip buildroot from configuration files
find %{buildroot}%{_sysconfdir}/webmin -type f -exec sed -i 's|%{buildroot}||g' {} \;

%ifarch aarch64
for f in reload restart restart-by-force-kill start stop; do
   ln -sf .${f}-init %{buildroot}%{_sysconfdir}/webmin/${f}
done
%endif

chmod +x %{buildroot}%{_sysconfdir}/webmin/{.*-init,.post-install,.pre-install}

# install systemd service
install -D -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/webmin.service

## install desktop link
#install -D -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/applications/webmin.desktop

# install pam configuration
install -D -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/pam.d/webmin

# install logrotate configuration
install -D -m 0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/logrotate.d/webmin

mkdir -p %{buildroot}/var/log/webmin/modules

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
# new install
if [ $1 -eq 1 ]; then
   RANDOM_PASSWD=`/usr/bin/mkpasswd -l 10 -s 0`
   perl -e 'print "$ARGV[0]:",crypt($ARGV[1], "\$1\$XXXXXXXX"),":0\n"' "admin" "$RANDOM_PASSWD" \
      > %{_sysconfdir}/webmin/miniserv.users
   echo "# autogenerated admin password: $RANDOM_PASSWD" \
      > %{_sysconfdir}/webmin/ADMIN_PASSWORD
   chmod 600 %{_sysconfdir}/webmin/ADMIN_PASSWORD
   echo "info: see webmin randomly generated password for admin in /etc/webmin/ADMIN_PASSWORD"
fi
%systemd_post webmin
:

%preun
%systemd_preun webmin
:

%postun
%systemd_postun_with_restart webmin
:

%files
%defattr(-,root,bin)
%dir %{_sysconfdir}/webmin
%config(noreplace) %{_sysconfdir}/webmin/*
%{_sysconfdir}/webmin/.*-init
%{_sysconfdir}/webmin/.post-install
%{_sysconfdir}/webmin/.pre-install
%{_sysconfdir}/pam.d/webmin
%{_sysconfdir}/logrotate.d/webmin
#%{_datadir}/applications/webmin.desktop
%{_unitdir}/webmin.service
%dir %{_datadir}/webmin
%{_datadir}/webmin/*
%attr(0750,root,bin) %dir /var/log/webmin
%attr(0750,root,root) %dir /var/log/webmin/modules
%doc LICENCE

%changelog
* Sun Jun 08 2025 Automatic Build System <autodist@openmamba.org> 2.401-1mamba
- automatic version update by autodist

* Sat May 31 2025 Automatic Build System <autodist@openmamba.org> 2.400-1mamba
- automatic version update by autodist

* Tue Mar 18 2025 Automatic Build System <autodist@openmamba.org> 2.303-1mamba
- automatic version update by autodist

* Wed Mar 05 2025 Automatic Build System <autodist@openmamba.org> 2.302-1mamba
- automatic version update by autodist

* Mon Feb 17 2025 Automatic Build System <autodist@openmamba.org> 2.301-1mamba
- automatic version update by autodist

* Sun Feb 16 2025 Automatic Build System <autodist@openmamba.org> 2.300-1mamba
- automatic version update by autodist

* Mon Aug 12 2024 Automatic Build System <autodist@openmamba.org> 2.202-1mamba
- automatic version update by autodist

* Thu Jul 25 2024 Automatic Build System <autodist@openmamba.org> 2.201-1mamba
- automatic version update by autodist

* Mon Jul 22 2024 Automatic Build System <autodist@openmamba.org> 2.200-1mamba
- automatic version update by autodist

* Sat Apr 27 2024 Automatic Build System <autodist@openmamba.org> 2.111-1mamba
- automatic version update by autodist

* Wed Apr 17 2024 Automatic Build System <autodist@openmamba.org> 2.110-1mamba
- automatic version update by autodist

* Thu Nov 09 2023 Automatic Build System <autodist@mambasoft.it> 2.105-1mamba
- automatic version update by autodist

* Wed Oct 18 2023 Automatic Build System <autodist@mambasoft.it> 2.104-1mamba
- automatic version update by autodist

* Sun Oct 08 2023 Automatic Build System <autodist@mambasoft.it> 2.103-1mamba
- automatic version update by autodist

* Fri Aug 25 2023 Automatic Build System <autodist@mambasoft.it> 2.102-1mamba
- automatic version update by autodist

* Thu Aug 10 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.101-1mamba
- update to 2.101

* Tue Jul 25 2023 Automatic Build System <autodist@mambasoft.it> 2.100-1mamba
- automatic version update by autodist

* Sun Jun 26 2022 Automatic Build System <autodist@mambasoft.it> 1.995-1mamba
- automatic version update by autodist

* Fri Jun 03 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.994-2mamba
- fix systemd service

* Wed May 25 2022 Automatic Build System <autodist@mambasoft.it> 1.994-1mamba
- automatic version update by autodist

* Mon May 23 2022 Automatic Build System <autodist@mambasoft.it> 1.993-1mamba
- automatic version update by autodist

* Mon Apr 18 2022 Automatic Build System <autodist@mambasoft.it> 1.991-1mamba
- automatic version update by autodist

* Sat Mar 05 2022 Automatic Build System <autodist@mambasoft.it> 1.990-1mamba
- automatic version update by autodist

* Sat Feb 19 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.984-2mamba
- fix typo in systemd_preun macro

* Mon Dec 27 2021 Automatic Build System <autodist@mambasoft.it> 1.984-1mamba
- automatic version update by autodist

* Fri Dec 03 2021 Automatic Build System <autodist@mambasoft.it> 1.983-1mamba
- automatic version update by autodist

* Sat Nov 27 2021 Automatic Build System <autodist@mambasoft.it> 1.982-1mamba
- automatic version update by autodist

* Tue Aug 31 2021 Automatic Build System <autodist@mambasoft.it> 1.981-1mamba
- automatic version update by autodist

* Sun Aug 08 2021 Automatic Build System <autodist@mambasoft.it> 1.979-1mamba
- automatic version update by autodist

* Thu Oct 26 2017 Automatic Build System <autodist@mambasoft.it> 1.830-1mamba
- automatic update by autodist

* Mon Oct 03 2016 Automatic Build System <autodist@mambasoft.it> 1.820-1mamba
- automatic version update by autodist

* Mon Aug 08 2016 Automatic Build System <autodist@mambasoft.it> 1.810-1mamba
- automatic version update by autodist

* Fri May 27 2016 Automatic Build System <autodist@mambasoft.it> 1.801-1mamba
- automatic version update by autodist

* Tue Mar 08 2016 Automatic Build System <autodist@mambasoft.it> 1.791-1mamba
- automatic version update by autodist

* Mon Mar 07 2016 Automatic Build System <autodist@mambasoft.it> 1.790-1mamba
- automatic version update by autodist

* Thu Dec 31 2015 Automatic Build System <autodist@mambasoft.it> 1.780-1mamba
- automatic version update by autodist

* Sun Oct 04 2015 Automatic Build System <autodist@mambasoft.it> 1.770-1mamba
- automatic version update by autodist

* Sun Jun 21 2015 Automatic Build System <autodist@mambasoft.it> 1.760-1mamba
- automatic version update by autodist

* Tue May 12 2015 Automatic Build System <autodist@mambasoft.it> 1.750-1mamba
- automatic version update by autodist

* Mon Apr 27 2015 Automatic Build System <autodist@mambasoft.it> 1.740-1mamba
- automatic version update by autodist

* Thu Jan 01 2015 Automatic Build System <autodist@mambasoft.it> 1.730-1mamba
- automatic version update by autodist

* Sun Nov 23 2014 Automatic Build System <autodist@mambasoft.it> 1.720-1mamba
- automatic version update by autodist

* Mon Nov 03 2014 Automatic Build System <autodist@mambasoft.it> 1.710-1mamba
- automatic version update by autodist

* Thu May 22 2014 Automatic Build System <autodist@mambasoft.it> 1.690-1mamba
- automatic version update by autodist

* Thu Mar 13 2014 Automatic Build System <autodist@mambasoft.it> 1.680-1mamba
- automatic version update by autodist

* Tue Jan 14 2014 Automatic Build System <autodist@mambasoft.it> 1.670-1mamba
- automatic version update by autodist

* Tue Oct 15 2013 Automatic Build System <autodist@mambasoft.it> 1.660-1mamba
- automatic version update by autodist

* Sun Aug 18 2013 Automatic Build System <autodist@mambasoft.it> 1.650-1mamba
- automatic version update by autodist

* Tue Aug 13 2013 Automatic Build System <autodist@mambasoft.it> 1.640-1mamba
- automatic version update by autodist

* Wed May 15 2013 Automatic Build System <autodist@mambasoft.it> 1.630-1mamba
- automatic version update by autodist

* Mon Feb 04 2013 Automatic Build System <autodist@mambasoft.it> 1.620-1mamba
- automatic version update by autodist

* Fri Nov 16 2012 Automatic Build System <autodist@mambasoft.it> 1.610-1mamba
- automatic version update by autodist

* Fri Sep 21 2012 Automatic Build System <autodist@mambasoft.it> 1.600-1mamba
- automatic version update by autodist

* Sat Jun 30 2012 Automatic Build System <autodist@mambasoft.it> 1.590-1mamba
- automatic version update by autodist

* Sun Jan 22 2012 Automatic Build System <autodist@mambasoft.it> 1.580-1mamba
- automatic version update by autodist

* Mon Oct 03 2011 Automatic Build System <autodist@mambasoft.it> 1.570-1mamba
- automatic version update by autodist

* Fri Aug 05 2011 Automatic Build System <autodist@mambasoft.it> 1.560-1mamba
- automatic version update by autodist

* Wed Apr 27 2011 Automatic Build System <autodist@mambasoft.it> 1.550-1mamba
- automatic update by autodist

* Fri Apr 01 2011 Automatic Build System <autodist@mambasoft.it> 1.540-1mamba
- automatic update by autodist

* Sun Dec 19 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.530-1mamba
- update to 1.530

* Wed Sep 08 2010 Automatic Build System <autodist@mambasoft.it> 1.520-1mamba
- automatic update to 1.520 by autodist

* Fri Apr 09 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.510-2mamba
- added openmamba patch for apache

* Fri Apr 09 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.510-1mamba
- update to 1.510

* Sun Dec 06 2009 Automatic Build System <autodist@mambasoft.it> 1.500-1mamba
- automatic update to 1.500 by autodist

* Thu Sep 17 2009 Automatic Build System <autodist@mambasoft.it> 1.490-1mamba
- automatic update by autodist

* Mon Jun 15 2009 Automatic Build System <autodist@mambasoft.it> 1.480-1mamba
- automatic update to 1.480 by autodist

* Wed Mar 18 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.470-1mamba
- automatic update to 1.470 by autodist

* Thu Mar 12 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.460-1mamba
- automatic update to 1.460 by autodist

* Mon Jan 26 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.450-1mamba
- automatic update to 1.450 by autodist

* Tue Oct 28 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.441-1mamba
- automatic update to 1.441 by autodist

* Sat Oct 25 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.440-1mamba
- automatic update to 1.440 by autodist

* Sun Aug 31 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.430-1mamba
- update to 1.430

* Wed Jun 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.420-1mamba
- update to 1.420

* Thu Feb 14 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.400-1mamba
- update to 1.400

* Thu Aug 09 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.360-1mamba
- update to 1.360
- dropped openmamba patch (merged upstream)

* Tue Jul 03 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.350-2mamba
- enabled some missing modules with the new patch

* Fri Jun 29 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.350-1mamba
- package created by autospec
